﻿using MassFoster;
using ShapeVolume;
using Movement;
using SharpWorld;
using CoreImplement;
using EntitySpawn;

class Program
{
    public static void Main(string[] args)
    {
        var host = new SystemHost();

        host.RegisterSystem(new EnvFosterSystem(2));
        host.RegisterSystem(new ShapeVolumeSystem());
        host.RegisterSystem(new MovementSystem());
        host.RegisterSystem(new LifetimeSystem());

        var entity_inst = new ExampleEntity(1);
        entity_inst.ActiveConfigBeforeExecute(host);

        host.LoopRun();
    }
}